be.ehealth.businessconnector.chapterIV.wrapper.impl

## Class ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper<ConsultChap4MedicalAdvisorAgreementResponse>
  - - be.ehealth.businessconnector.chapterIV.wrapper.impl.ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl

- All Implemented Interfaces:
    Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>, ResponseTypeIf, WrappedXmlObject<ConsultChap4MedicalAdvisorAgreementResponse>, Serializable

      public class ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl
      extends AbstractWrapper<ConsultChap4MedicalAdvisorAgreementResponse>
      implements Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>

  wraps generated xml class in wrapper that implements an interface. workaround for the fact that the generated code have actually implement common interface, but share no hieararchy or java interface. changing the xsd is not an option at the moment. Implements : `AbstractWrapper`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl(ConsultChap4MedicalAdvisorAgreementResponse response)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
    `String` | `getId()` Gets the value of the id property.
    `RecordCommonOutputType` | `getRecordCommonOutput()` Gets the value of the recordCommonOutput property.
    `SecuredContentType` | `getResponse()` Gets the value of the response property.
    `FaultType` | `getReturnInfo()` Gets the value of the returnInfo property.
    `StatusType` | `getStatus()` Gets the value of the status property.
    `void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setRecordCommonOutput(RecordCommonOutputType value)` Sets the value of the recordCommonOutput property.
    `void` | `setResponse(SecuredContentType value)` Sets the value of the response property.
    `void` | `setReturnInfo(FaultType value)` Sets the value of the returnInfo property.
    `void` | `setStatus(StatusType value)` Sets the value of the status property.

    - ### Methods inherited from class be.ehealth.businessconnector.chapterIV.wrapper.impl.AbstractWrapper

      `getXmlObject`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.businessconnector.chapterIV.wrapper.WrappedXmlObject

      `getXmlObject`

- - ### Constructor Detail

    - #### ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl

          public ConsultChap4MedicalAdvisorAgreementResponseWrapperImpl(ConsultChap4MedicalAdvisorAgreementResponse response)

      Parameters:
        `response` -

  - ### Method Detail

    - #### getStatus

          public StatusType getStatus()

      Description copied from interface: `ResponseTypeIf`
      Gets the value of the status property.
      Specified by:
        `getStatus` in interface `ResponseTypeIf`
      Returns:
      See Also:
        `ResponseType.getStatus()`

    - #### setStatus

          public void setStatus(StatusType value)

      Description copied from interface: `ResponseTypeIf`
      Sets the value of the status property.
      Specified by:
        `setStatus` in interface `ResponseTypeIf`
      Parameters:
        `value` -
      See Also:
        `ResponseType.setStatus(be.fgov.ehealth.commons.core.v1.StatusType)`

    - #### getId

          public String getId()

      Description copied from interface: `ResponseTypeIf`
      Gets the value of the id property.
      Specified by:
        `getId` in interface `ResponseTypeIf`
      Returns:
      See Also:
        `ResponseType.getId()`

    - #### setId

          public void setId(String value)

      Description copied from interface: `ResponseTypeIf`
      Sets the value of the id property.
      Specified by:
        `setId` in interface `ResponseTypeIf`
      Parameters:
        `value` -
      See Also:
        `ResponseType.setId(java.lang.String)`

    - #### getCommonOutput

          public CommonOutputType getCommonOutput()

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Gets the value of the commonOutput property.
      Specified by:
        `getCommonOutput` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#getCommonOutput()`

    - #### setCommonOutput

          public void setCommonOutput(CommonOutputType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Sets the value of the commonOutput property.
      Specified by:
        `setCommonOutput` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#setCommonOutput(be.fgov.ehealth.chap4.core.v1.CommonOutputType)`

    - #### getRecordCommonOutput

          public RecordCommonOutputType getRecordCommonOutput()

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Gets the value of the recordCommonOutput property.
      Specified by:
        `getRecordCommonOutput` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#getRecordCommonOutput()`

    - #### setRecordCommonOutput

          public void setRecordCommonOutput(RecordCommonOutputType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Sets the value of the recordCommonOutput property.
      Specified by:
        `setRecordCommonOutput` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#setRecordCommonOutput(be.fgov.ehealth.chap4.core.v1.RecordCommonOutputType)`

    - #### getReturnInfo

          public FaultType getReturnInfo()

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Gets the value of the returnInfo property.
      Specified by:
        `getReturnInfo` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#getReturnInfo()`

    - #### setReturnInfo

          public void setReturnInfo(FaultType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Sets the value of the returnInfo property.
      Specified by:
        `setReturnInfo` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#setReturnInfo(be.fgov.ehealth.chap4.core.v1.FaultType)`

    - #### getResponse

          public SecuredContentType getResponse()

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Gets the value of the response property.
      Specified by:
        `getResponse` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Returns:
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#getResponse()`

    - #### setResponse

          public void setResponse(SecuredContentType value)

      Description copied from interface: `Chap4MedicalAdvisorAgreementResponseWrapper`
      Sets the value of the response property.
      Specified by:
        `setResponse` in interface `Chap4MedicalAdvisorAgreementResponseWrapper<ConsultChap4MedicalAdvisorAgreementResponse>`
      Parameters:
        `value` -
      See Also:
        `be.fgov.ehealth.chap4.protocol.v1.AbstractChap4MedicalAdvisorAgreementResponseType#setResponse(be.fgov.ehealth.chap4.core.v1.SecuredContentType)`

Connector Packaging generic 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.